Subject: Re: [PATCH] last-modified: implement faster algorithm

From: Toon Claes <[email-masked]>
Date: Fri, 17 Oct 2025 12:45:16 +0200

"D. Ben Knoble" <[email-masked]> writes:

> On Thu, Oct 16, 2025 at 4:39 AM Toon Claes <[email-masked]> wrote:
>> As an added benefit, this implementation gives more correct results. For
>> example implementation in 'master' gives:
>
> "More correct" is a bit of an oxymoron, no? It's either correct or
> it's not :)

I can rephrase to "more accurate" or something that's better suited.

>>     $ git log --max-count=1 --format=%H -- pkt-line.h
>>     15df15fe07ef66b51302bb77e393f3c5502629de
>>
>>     $ git last-modified -- pkt-line.h
>>     15df15fe07ef66b51302bb77e393f3c5502629de    pkt-line.h
>>
>>     $ git last-modified | grep pkt-line.h
>>     5b49c1af03e600c286f63d9d9c9fb01403230b9f    pkt-line.h
>
> It seems this commit is the merge to a maintenance branch, which was
> authored and committed after the mainline merge but topologically we'd
> probably consider it "earlier," at least starting from master? Anyway,
> I'm not clear why this result was produced.

Yeah, me neither. But it's a nice side-effect this behavior result goes
away with this patch.

-- 
Cheers,
Toon